// config.h

// This configuration file should reside in the same Arduino
// directory as the weather station file D1M-WX1_IoT.ino.

// *******************************************************
// **************** STATION FACTORS **********************
// *******************************************************

// If you have performed the voltage calibration steps, enter
// the voltage you measured on your digital multimeter and
// the voltage reported by the ADC on the serial monitor.
// If you have not performed the calibration, do not change 
// the default values. They should be equal.

const float dmmVoltage = 4.45;
const float adcVoltage = 4.45;

// station altitude in meters
// https://www.freemaptools.com/elevation-finder.htm
const float STATION_ELEV = 90.0;

// update interval in seconds
// must be longer than 15 seconds
// suggest 300 seconds for testing, 600 or 900 for use
const long SLEEP_INTERVAL = 600;

// *******************************************************
// ********************* WIFI LOGON **********************
// *******************************************************

// ENTER YOUR SSID
const char ssid[] = "yourWiFi_SSID";

// ENTER YOUR PASSWORD
const char password[] = "yourWiFi_PW";

// *******************************************************
// ******************** THINGSPEAK ***********************
// *******************************************************

// ThingSpeak Channel ID
String ChannelID = "yourChannelID";

// API write key for your ThingSpeak channel
String apiWriteKey = "yourAPI_write_Key";

// ThingSpeak Server - do not change
const char IOT_SERVER[] = "api.thingspeak.com";
